<?php
$t = 'Создание нового запроса в службу технической поддержки';
require_once '../../wcore/core.php';
require_once '../../wcore/head.php';
iank();
if (isset($_POST['ok'])){
    if (empty($_SESSION['csrf_token']) || $_SESSION['csrf_token'] != antixs($_POST['csrf'])){
        echo msg_err('err',$lang['csrf']);
        require_once '../../wcore/foot.php';
        exit();
    }
    if($_POST['capcha'] != $_SESSION['capcha'])  {echo msg_err('err',$lang['ice']);require_once '../../wcore/foot.php';exit();}
    if (empty($_POST['name']) || !isset($_POST['name'])){
        echo msg_err('err',$lang['ticket_new_err_1']);
        require_once '../../wcore/foot.php';
        exit();
    }
    if (empty($_POST['cat']) || !isset($_POST['cat'])){
        echo msg_err('err',$lang['ticket_new_err_2']);
        require_once '../../wcore/foot.php';
        exit();
    }
    if (empty($_POST['msg']) || !isset($_POST['msg'])){
        echo msg_err('err',$lang['ticket_new_err_3']);
        require_once '../../wcore/foot.php';
        exit();
    }
    $name   =   antixs($_POST['name']);
    $cat    =   intval($_POST['cat']);
    $msg    =   antixs($_POST['msg']);
    $count_msg_s = mb_strlen($_POST['msg']);
    if (mb_strlen($name) < 4  || mb_strlen($name) > 32) {
        echo msg_err('err',$lang['ticket_new_err_4']);
        require_once '../../wcore/foot.php';
        exit();
    }
    if ($count_msg_s <= 30) {
        echo msg_err('err',$lang['ticket_new_err_5']);
        require_once '../../wcore/foot.php';
        exit();
    }
    $sql = mysqli_query($mysqli,"SELECT * FROM `tickets_cat` WHERE `id` = '$cat' LIMIT 1");
    if (mysqli_num_rows($sql) == 0){
        echo msg_err('err',$lang['ticket_new_err_7']);
        require_once '../../wcore/foot.php';
        exit();
    }
    mysqli_query($mysqli,"INSERT INTO `tickets_list`(`name`, `uid`, `time`, `department`, `status`) VALUES ('$name',$ank->id,'".time()."',$cat,1)");
    $ticket_created_id = mysqli_insert_id($mysqli);
    $mailsend->SendEmail($ank->email, 'Ваш тикет №'.$ticket_created_id.' зарегистрирован', 'Здравствуйте '.$ank->login.'!<br>Вы зарегистировали тикет номер '.$ticket_created_id.' с названием <b>'.$name.'</b>.<br>Ваш тикет обработает первый освободившийся оператор.<br>Спасибо за обращение в службу поддержки. <br>Это автоматическое сообщение и на него отвечать не требуется.');
    mysqli_query($mysqli,"INSERT INTO `tickets_mess`(`tid`, `uid`, `mess`, `time`, `read_mess`) VALUES ($ticket_created_id,$ank->id,'$msg','".time()."',1)");
    echo msg_err('suc',$lang['ticket_new_err_6']);
    require_once '../../wcore/foot.php';
    exit();
} else {
    $sql_query = mysqli_query($mysqli,"SELECT * FROM `tickets_cat`") or die("Ошибка запроса: ".mysqli_error($mysqli));;
    while ($cat = mysqli_fetch_assoc($sql_query)){
        $data[] = $cat;
    }
    $data = !isset($data)?NULL:$data;
    echo $twig->render('pages_tickets_new.tpl', [
        'lang'  =>  $lang,
        'data'  =>  $data,
        'crfs'  =>  _csrf(),
    ]);
}
require_once '../../wcore/foot.php';
?>